Package Details: monodevelop-stable-bin 7.8.3.2-3

Git Clone URL: https://aur.archlinux.org/monodevelop-stable-bin.git (read-only)
Package Base: monodevelop-stable-bin
Description: An IDE primarily designed for C# and other .NET languages
Upstream URL: http://www.monodevelop.com
Keywords: mono monodevelop
Licenses: GPL
Conflicts: monodevelop
Provides: monodevelop, monodevelop-debugger-gdb
Replaces: monodevelop-debugger-gdb
Submitter: doctorzeus
Maintainer: doctorzeus
Last Packager: doctorzeus
Votes: 10
Popularity: 0.84
First Submitted: 2018-05-05 03:49
Last Updated: 2019-11-05 00:54

Dependencies (13)

Required by (6)

Sources (1)

Pinned Comments

doctorzeus commented on 2018-05-05 03:54

This package is the binary release for the monodevelop-stable package which I have compiled for users who for whatever reason cannot easily download and/or compile the large source code package. I HIGHLY recommend regular users compile this package from source using the monodevelop-stable package.

Likewise if you have any application-specific issues with this package please check the monodevelop-stable package in the AUR for troubleshooting first before commenting here.

Remember I don't develop this application, I simply maintain the PKGBUILD, for issues/bugs with the application itself log a report at https://github.com/mono/monodevelop after doing the usual google for a solution.

Latest Comments

1 2 Next › Last »

techandy1 commented on 2019-11-13 00:22

I have been having issues building this package because of "mono<=5.20.1.19" but I just went ahead and changed it from the above to "mono>=5.20.1.19" and it works fine on my system. I can't find a "mono version that is 5.20.1.19 or higher only mono 6.0.0.* but it doesn't work or build.

KopfKrieg commented on 2019-11-01 15:38

@Yoris: I've got the same problem. Everything's right (and worked before the mono update to v6, v5.2 is still working if I downgrade), but monodevelop still marks everything as error and doesn't find any libraries (including "System").

Yoris commented on 2019-10-26 21:03

After installing this package, monodevelop launches and creates projects, but it marks correct C# as full of errors. It says stuff like "predefined type System.void is not defined or imported" same with classes or other default system things. Under the sdk locations / .net core I set all the locations to be correct and it says "found" Am I still missing something mono-develop depends on ? (I use i3 without a de if that helps at all)

doctorzeus commented on 2019-10-01 03:57

@SolarAquarion very old binaries on the mono site since Microsoft bought Xamarin and mono, have to rely on the github repo (https://github.com/mono/monodevelop) which is what this is ultimately built from..

SolarAquarion commented on 2019-08-26 02:44

http://download.mono-project.com/repo/ubuntu/pool/main/m/monodevelop/ binary here or is it only for ubuntu

MrKMG commented on 2019-02-04 18:06

Getting a validity check failure on this. The sha256sum is not correct in the PKGBUILD.

doctorzeus commented on 2019-02-04 04:37

@LinuxLoverForeve I have updated and re-compiled to the latest version.

Anonymous comment on 2019-01-17 04:49

Monodevelop crashes when I try to create a new project. Sorry I didn't run it through terminal to get the error. I just installed monodevelop-stable but wanted to mention it.

Update: Even when I run it through terminal it doesn't show any output. Sorry.

Update2: I see this was already mentioned by frol. Please consider recompiling monodevelop-stable. Not sure if it was fix the issue but it's worth a shot.

doctorzeus commented on 2018-08-13 23:52

Hi @frol.

Try disabling version control ad-in.

frol commented on 2018-08-13 16:02

MonoDevelop from this package silently exits with exit code 0 once I create or open a project.